# Class DotsRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.renderspecial.DotsRenderer

Direct Known Subclasses:
  `GeoSurfaceRenderer`

public class DotsRenderer extends ShapeRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`faceMap`
`boolean`
`iShowSolid`
`int[]`
`scrCoords`
`int`
`screenDotCount`
`int`
`screenLevel`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`DotsRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initRenderer()`
`protected boolean`
`render()`
`protected void`
`render1(Dots dots)`
`protected void`
`renderConvex(short colix, BS map, int nPoints)`
generic renderer -- dots and geosurface
`protected void`
`renderDots(int nPoints)`
also called by GeoSurface when in motion

### Methods inherited from class ShapeRenderer

`isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iShowSolid

public boolean iShowSolid

### screenLevel

public int screenLevel

### screenDotCount

public int screenDotCount

### scrCoords

public int[] scrCoords

### faceMap

public int[] faceMap

## Constructor Details

### DotsRenderer

public DotsRenderer()

## Method Details

### initRenderer

protected void initRenderer()

Overrides:
  `initRenderer` in class `ShapeRenderer`

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### render1

protected void render1(Dots dots)

### renderConvex

protected void renderConvex(short colix, BS map, int nPoints)
generic renderer -- dots and geosurface

Parameters:
  `colix` -
  `map` -
  `nPoints` -

### renderDots

protected void renderDots(int nPoints)
also called by GeoSurface when in motion

Parameters:
  `nPoints` -